Subject: bug#7034: 23.2; Open remote files (via FTP) fails on (my) Windows XP port

From: Dani Moncayo <[email-masked]>
Date: Tue, 14 Sep 2010 23:25:43 +0200

> I would suspect some network setup, because where you get your
> connection closed:
>
>    257 "/"
>    cd "/pub/mozilla.org/README/"
>    550 Failed to change directory.
>    cd "/pub/mozilla.org/README/"
>    550 Failed to change directory.
>    cd "/pub/mozilla.org/"
>    250 Directory successfully changed.
>    ls -al c:/DOCUME~1/admin/LOCALS~1/Temp/ange-ftp4012GxJ
>    Connection closed by remote host.
>    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>
> I get the directory listing:
>
>    257 "/"
>    cd "/pub/mozilla.org/README/"
>    550 Failed to change directory.
>    cd "/pub/mozilla.org/README/"
>    550 Failed to change directory.
>    cd "/pub/mozilla.org/"
>    250 Directory successfully changed.
>    ls -al c:/DOCUME~1/Zaretzky/LOCALS~1/Temp/ange-ftp2956QFL
>    200 PORT command successful. Consider using PASV.
>    150 Here comes the directory listing.
>

Maybe. But it that same Windows machine, I can open that same remote
file with an Internet Browser (URL
"ftp://ftp.mozilla.org/pub/mozilla.org/README").

Now I wonder this: as you can see, the last command previous to the
error is an "ls" command. That is a UNIX shell command, not available
in Windows machines AFAIK. So, I guess Emacs somehow emulates it. But
I'm tried to run the command with `M-!' and I get this error:
> 'ls' is not recognized as an internal or external command,
> operable program or batch file.

So... Do I need to install some extra tools in my Windows machine to
make "ls" and other UNIX commands work?.
(I've just downloaded the file "emacs-23.2-bin-i386.zip", extracted
their contents into my hard disk, and invoked "runemacs.exe").